%define releasebase 1
%define nbase open-mx
#Use as deafults if no command line inputs
%define as_limulus 1
# define AFS defines here (only used if "--with afs" is given to rpmbuild):
%define afsarch amd
%define afsroot /afs/cad/hpc
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
%{?_with_afs: %{expand: %%define as_afs 1}}
#pick the target
%if "1" == "%{as_basement}"
%define targetbase Basement
%else
%if "1" == "%{as_afs}"
%define targetbase afs_%{afsarch}
%else
%define targetbase Limulus
%endif
%endif

%define INSTALL_PATH /usr/open-mx


Summary: Open-MX (MX for Ethernet) 
Version: 1.4.0
Name: %{nbase}
License: GPL
Group: %{targetbase}/Libaries
Release: %{releasebase}.%{targetbase}
Source: open-mx-%{version}.tar.gz
Patch0: open-mx-local-install.patch
URL: http://open-mx.gforge.inria.fr/ 
Distribution: Scientific Linux 
Vendor: Basement Supercomputing
Packager: deadline@basement-supercomputing.com
%define ver %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: libmyriexpress.a  libmyriexpress.so  libopen-mx.a  libopen-mx.so
%description
Open-MX is a high-performance implementation of the Myrinet Express 
message-passing stack over generic Ethernet networks. It provides 
application-level with wire-protocol compatibility with the native 
MXoE (Myrinet Express over Ethernet) stack.

At least MPICH-MX, MPICH2-MX, Open MPI and PVFS2 build natively on 
top of Open-MX thanks to the MX API compatibility. 
%prep 
%setup -n open-mx-%{version}
%patch0 -p0

./configure --prefix=%{INSTALL_PATH} --disable-mx-wire  --disable-endian --with-mtu=1500
#./configure --prefix=%{buildroot}/%{INSTALL_PATH} --disable-mx-wire  --disable-endian 
%build
make
%install
mkdir -p %{buildroot}/etc/udev/rules.d
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/ld.so.conf.d
make  DESTDIR=%{buildroot} install
DESTDIR=%{buildroot} %{buildroot}/%{INSTALL_PATH}/sbin/omx_local_install
# include ld.so.conf.d
cat <<EOF >>%{buildroot}/etc/ld.so.conf.d/open-mx.conf
%{INSTALL_PATH}/lib
EOF

%post
/sbin/ldconfig 2>/dev/null

%postun
/etc/rc.d/initd/open-mx stop
/sbin/ldconfig 2>/dev/null

%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%{INSTALL_PATH}
%config(noreplace)
/etc/ld.so.conf.d/open-mx.conf
/etc/open-mx/open-mx.conf
/etc/udev/rules.d/10-open-mx.rules
/etc/rc.d/init.d

%doc README COPYING COPYING.GPL COPYING.LGPL REPORTING-BUGS TODO AUTHORS
